Bug 1298316 - error: 'class Forests::PagedGeometry' has no member named 'getTempDir'
error: 'class Forests::PagedGeometry' has no member named 'getTempDir'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ogre-pagedgeometry (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1178361
  Show dependency treegraph
 
Reported: 2016-01-13 13:33 EST by MartinKG
Modified: 2017-08-08 08:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:39:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description MartinKG 2016-01-13 13:33:24 EST
Description of problem:
when compiling stuntrally-2.6 against ogre-pagedgeometry-devel-1.1.4-5.20131226hg3ad14141c027.fc23.x86_64 the following error message appears:

"error: 'class Forests::PagedGeometry' has no member named 'getTempDir'"


Version-Release number of selected component (if applicable):
ogre-pagedgeometry-devel-1.1.4-5.20131226hg3ad14141c027.fc23.x86_64

Actual results:
/home/martin/rpmbuild/BUILD/stuntrally-2.6/source/ogre/common/SceneTrees.cpp:203:38: error: 'class Forests::PagedGeometry' has no member named 'getTempDir'
    resMgr.addResourceLocation(trees->getTempDir(), "FileSystem", "BinFolder");

Additional info:
In the Fedora devel package the function is called getTempdir
In the original source code of stuntrally the function is called getTempDir

grep getTempdir /usr/include/OGRE/PagedGeometry/PagedGeometry.h
	Ogre::String getTempdir() { return this->tempdir; };
                            ^

grep getTempDir stuntrally-2.6/source/paged-geom/PagedGeometry.h 
	Ogre::String getTempDir() { return this->tempdir; };
                            ^
Comment 1 Jan Kurik 2016-02-24 09:16:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora End Of Life 2017-07-25 15:46:25 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-08-08 08:39:14 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.